Download it now!
Bug 120453 - kde5: "Find & Replace" not correctly shown in menu
Summary: kde5: "Find & Replace" not correctly shown in menu
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Main-Menu KDE
  Show dependency treegraph
 
Reported: 2018-10-09 10:57 UTC by Michael Weghorn
Modified: 2018-12-21 12:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-09 10:57:49 UTC
version: master build as of commit 260701270abc7997996625449cd3d40f8b4f7f49
VCL: kde5 on X11 (the gtk3 VCL plugin e.g. works fine)
platform: Debian testing, Plasma 5 desktop

Steps to reproduce:

1) start LibreOffice Writer
2) open the "Edit" menu
3) look for  the "Find & Replace" entry

Result: The entry is shown as "Find Rep&lace".

Expected result: The entry should be labeled "Find & Replace".
Comment 1 Michael Weghorn 2018-10-26 21:15:28 UTC
Gerrit change: https://gerrit.libreoffice.org/#/c/62405/
Comment 2 Commit Notification 2018-10-27 00:28:39 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5690acdb44e8017055bb88e86e19d207836bb95c

tdf#120453 Preserve literal '&' in Qt menu texts

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-12-21 12:43:35 UTC
Verified in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded